Subject: Ticket Assigned - Wrong Items Delivered
From: Homecentre <[email-masked]>
To: [email-masked]
Date: Sat, 03 Jul 2021 04:36:56 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Wrong Items Delivered Hi,

I have received today the order via delivery. Order # is 8274529847. I
attached screenshots of the items I ordered (1st 4 pictures) versus the
ones I received ( Last 3 pictures). I ordered baking items, but i received
Galma Decor Tray instead. Can I Return the Item to any Kuwait Homecenter
Branch today? Can Get the items I ordered when I visit any branch? I need a
prompt solution to this, otherwise, just refund my payment. Thank you.

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2803618